--
-- WoAncestorIndexes.sql
--
-- Eliminate them.
--
drop index "MAXIMO"."WOANCESTOR_NDX";
drop index "MAXIMO"."WOANCESTOR_NDX1";
drop index "MAXIMO"."WOANCESTOR_NDX2";
drop index "MAXIMO"."WOANCESTOR_NDX3";
drop index "MAXIMO"."WOANCESTOR_NDX4";
drop index "MAXIMO"."WOANCESTOR_NDX5";
--
-- Build them.
--
select current_timestamp from dual;
--
CREATE UNIQUE INDEX "MAXIMO"."WOANCESTOR_NDX" ON "MAXIMO"."WOANCESTOR" ("WOANCESTORID") 
PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS NOLOGGING 
STORAGE(INITIAL 38797312 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
TABLESPACE "MAXIMO_INDEX" ;
--
CREATE UNIQUE INDEX "MAXIMO"."WOANCESTOR_NDX1" ON "MAXIMO"."WOANCESTOR" ("SITEID", "WONUM", "ANCESTOR") 
PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS NOLOGGING 
STORAGE(INITIAL 183500800 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
TABLESPACE "MAXIMO_INDEX" ;
--
CREATE INDEX "MAXIMO"."WOANCESTOR_NDX2" ON "MAXIMO"."WOANCESTOR" ("SITEID", "ANCESTOR", "ORGID") 
PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS NOLOGGING 
STORAGE(INITIAL 117440512 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
TABLESPACE "MAXIMO_INDEX" ;
--
CREATE INDEX "MAXIMO"."WOANCESTOR_NDX3" ON "MAXIMO"."WOANCESTOR" ("ANCESTOR", "SITEID") 
PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
TABLESPACE "MAXIMO_INDEX" ;
--
CREATE INDEX "MAXIMO"."WOANCESTOR_NDX4" ON "MAXIMO"."WOANCESTOR" ("WONUM", "SITEID") 
PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
TABLESPACE "MAXIMO_INDEX" ;
--
CREATE INDEX "MAXIMO"."WOANCESTOR_NDX5" ON "MAXIMO"."WOANCESTOR" ("WONUM", "HIERARCHYLEVELS") 
PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
TABLESPACE "MAXIMO_INDEX" ;
--
select current_timestamp from dual;
--
-- End of code.
--
